libnss-extrausers_0.6-3_amd64.deb


Advertisement

Description

libnss-extrausers - nss module to have an additional passwd, shadow and group file

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libnss-extrausers
Package version 0.6
Package release 3
Package architecture amd64
Package type deb
Installed size 85 B
Download size 17.03 KB
Official Mirror ftp.br.debian.org
This Name Service Switch (NSS) module reads /var/lib/extrausers/passwd,
/var/lib/extrausers/shadow and /var/lib/extrausers/groups, allowing to
store system accounts and accounts copied from other systems in different
files.

Alternatives

Package Version Architecture Repository
libnss-extrausers_0.6-3_i386.deb 0.6 i386 Debian Main
libnss-extrausers - - -

Requires

Name Value
libc6 >= 2.3

Download

Type URL
Binary Package libnss-extrausers_0.6-3_amd64.deb
Source Package libnss-extrausers

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnss-extrausers deb package:
    # sudo apt-get install libnss-extrausers

Files

Path
/usr/lib/libnss_extrausers.so.2
/usr/lib32/libnss_extrausers.so.2
/usr/share/doc/libnss-extrausers/NEWS.Debian.gz
/usr/share/doc/libnss-extrausers/README
/usr/share/doc/libnss-extrausers/changelog.Debian.gz
/usr/share/doc/libnss-extrausers/copyright

Changelog

2012-05-16 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.6-3) unstable; urgency=low
* fix building lib32 on x390x (needs -m31 instead of -m32)
2012-05-15 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.6-2) unstable; urgency=low
* add lib32 variant to s390x
2012-04-04 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.6-1) unstable; urgency=low
* ignore empty lines (Closes: 653102, 666157)
* Standards-Version to 3.9.3, no changes needed
2011-09-14 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.5-1) unstable; urgency=low
* groups with too low gid are ignore instead of considered error
(Closes: 627279)
2011-05-05 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.4-2) unstable; urgency=low
* do not use --no-allow-shlib-undefined gcc no longer
supports (Closes: 624971)
* Standards-Version to 3.9.2, no changes needed
2011-03-05 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.4-1) unstable; urgency=low
* treat empty fields as -1 to appease new glibc
* modernize Debian packaging
- debhelper compatibility to 7
- standards version to 3.9.1
- use dpkg-buildflags (and thus build-depend on new enough dpkg-dev)
2010-03-09 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.3-1) unstable; urgency=low
* fix spelling error in README (Closes: 573130)
* allow gid 100 (Closes: 566399)
* bump standards version
* switch to 3.0 source format
2009-07-28 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.2-3) unstable; urgency=low
* when a group cannot be returned because of insufficuent
buffers supplied by the caller, continue with the same group
next time (Closes: 536789)
2009-05-29 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.2-2) unstable; urgency=low
* fix build problem on architectures without an alternative
architecture to build libraries for (Closes: 530882)
2009-05-27 - Bernhard R. Link <brlink@debian.org>
libnss-extrausers (0.2-1) unstable; urgency=low
* new version
- ignore lines starting with # to allow comments
* install 32-bit or 64-bit version on architectures where possible

See Also

Package Description
libnss-gw-name_0.3-2_amd64.deb nss module that names the current gateway’s IP address
libnss-ldap_265-3+b1_amd64.deb NSS module for using LDAP as a naming service
libnss-ldapd_0.9.4-3+deb8u2_amd64.deb NSS module for using LDAP as a naming service
libnss-lwres_0.93-7+b1_amd64.deb NSS module for using bind9's lwres as a naming service
libnss-mdns_0.10-6_amd64.deb NSS module for Multicast DNS name resolution
libnss-myhostname_0.3-9_amd64.deb nss module providing fallback resolution for the current hostname
libnss-pgsql2_1.4.0debian-8_amd64.deb NSS module for using PostgreSQL as a naming service
libnss-rainbow2_0.8.7-1_amd64.deb nss library for rainbow
libnss-securepass_0~20141025.0git2299135-1_amd64.deb NSS (Name Service Switch) module for Securepass
libnss-sss_1.11.7-3_amd64.deb Nss library for the System Security Services Daemon
libnss-winbind_4.2.14+dfsg-0+deb8u9_amd64.deb Samba nameservice integration plugins
libnss3-1d_3.26-1+debu8u3_amd64.deb Network Security Service libraries - transitional package
libnss3-dev_3.26-1+debu8u3_amd64.deb Development files for the Network Security Service libraries
libnss3-tools_3.26-1+debu8u3_amd64.deb Network Security Service tools
libnss3_3.26-1+debu8u3_amd64.deb Network Security Service libraries
Advertisement
Advertisement